org.keycloak.services.clientpolicy.condition

## Class ClientScopesCondition.Configuration

- java.lang.Object
- - org.keycloak.services.clientpolicy.condition.ClientPolicyConditionConfiguration
  - - org.keycloak.services.clientpolicy.condition.ClientScopesCondition.Configuration

- Enclosing class:
    ClientScopesCondition

      public static class ClientScopesCondition.Configuration
      extends ClientPolicyConditionConfiguration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `negativeLogic`
    `protected List<String>` | `scope`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getScope()`
    `String` | `getType()`
    `Boolean` | `isNegativeLogic()`
    `void` | `setNegativeLogic(Boolean negativeLogic)`
    `void` | `setScope(List<String> scope)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### negativeLogic

          protected Boolean negativeLogic

    - #### type

          protected String type

    - #### scope

          protected List<String> scope

  - ### Constructor Detail

    - #### Configuration

          public Configuration()

  - ### Method Detail

    - #### isNegativeLogic

          public Boolean isNegativeLogic()

    - #### setNegativeLogic

          public void setNegativeLogic(Boolean negativeLogic)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getScope

          public List<String> getScope()

    - #### setScope

          public void setScope(List<String> scope)

Copyright © 2021 JBoss by Red Hat. All rights reserved.